# Method: projects.locations.configurations.queryLicenseUsage

- [HTTP request](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#body.QueryConfigurationLicenseUsageResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#body.aspect_1)
- [UserCountUsage](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#UserCountUsage)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#UserCountUsage.SCHEMA_REPRESENTATION)

License Usage information for a Configuration.

### HTTP request

`GET https://licensemanager.googleapis.com/v1/{name=projects/*/locations/*/configurations/*}:queryLicenseUsage`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource path of the Configuration. |

### Query parameters

| Parameters ||
|---|---|
| `startTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. The start time for retrieving the usage. If not specified, we will use the first day of the current billing period. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `endTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. The end time for retrieving the usage. If not specified, we will use the last day of the current billing period. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Request body

The request body must be empty.

### Response body

Message for response to get the license usage per configuration.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { // Union field `details` can be only one of the following: "userCountUsage": { object (`https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#UserCountUsage`) } // End of list of possible types for union field `details`. } ``` |

| Fields ||
|---|---|
| Union field `details`. Depending on the type of the configuration, one of the following will be populated. `details` can be only one of the following: ||
| `userCountUsage` | ``object (`https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/queryLicenseUsage#UserCountUsage`)`` Usage information for license types which use user-count billing. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `licensemanager.configurations.queryLicenseUsage`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## UserCountUsage

Message representing usage for license configurations which use user-count billing.

| JSON representation |
|---|
| ``` { "uniqueUserCount": integer } ``` |

| Fields ||
|---|---|
| `uniqueUserCount` | `integer` Required. Unique number of licensed users. |